/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for ECGTimingMeasurements
 */
public enum EnumCM_ECGTimingMeasurements 
{
	PR_INTERVAL_GLOBAL("PR interval global"),
	QT_INTERVAL_GLOBAL("QT interval global"),
	QRS_DURATION_GLOBAL("QRS duration global"),
	P_DURATION_GLOBAL("P duration global"),
	PP_INTERVAL_GLOBAL("PP interval global"),
	RR_INTERVAL_GLOBAL("RR interval global"),
	PR_INTERVAL_PER_LEAD("PR interval per lead"),
	QT_INTERVAL_PER_LEAD("QT interval per lead"),
	QRS_DURATION_PER_LEAD("QRS duration per lead"),
	P_DURATION_PER_LEAD("P duration per lead"),
	PP_INTERVAL_PER_LEAD("PP interval per lead"),
	RR_INTERVAL_PER_LEAD("RR interval per lead");
	private String value;

	EnumCM_ECGTimingMeasurements(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Meta SOP Class.
	 */
	public String getValue()
	{
		return value;
	}
}
